Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.dialogs
Interface IDialogConstants

public interface IDialogConstants

IDialogConstants is the interface for common dialog strings and ids used throughout JFace. It is recommended that you use these labels and ids whereever for consistency with the JFace dialogs.

Field Summary
`static int` | `ABORT_ID` Button id for an "Abort" button (value 7).
`static String` | `ABORT_LABEL` The label for abort buttons.
`static int` | `BACK_ID` Button id for a "Back" button (value 14).
`static String` | `BACK_LABEL` The label for back buttons.
`static int` | `BUTTON_BAR_HEIGHT` Height of button bar in dialog units (value 25).
`static int` | `BUTTON_HEIGHT` Button height in dialog units (value 14).
`static int` | `BUTTON_MARGIN` Button margin in dialog units (value 4).
`static int` | `BUTTON_WIDTH` Button width in dialog units (value 61).
`static int` | `CANCEL_ID` Button id for a "Cancel" button (value 1).
`static String` | `CANCEL_LABEL` The label for cancel buttons.
`static int` | `CLIENT_ID` Starting button id reserved for use by clients of JFace (value 1024).
`static int` | `CLOSE_ID` Button id for a "Close" button (value 12).
`static String` | `CLOSE_LABEL` The label for close buttons.
`static int` | `DESELECT_ALL_ID` Button id for a "Deselect All" button (value 19).
`static int` | `DETAILS_ID` Button id for a "Details" button (value 13).
`static int` | `ENTRY_FIELD_WIDTH` Entry field width in dialog units (value 200).
`static int` | `FINISH_ID` Button id for a "Finish" button (value 16).
`static String` | `FINISH_LABEL` The label for finish buttons.
`static int` | `HELP_ID` Button id for a "Help" button (value 17).
`static String` | `HELP_LABEL` The label for help buttons.
`static String` | `HIDE_DETAILS_LABEL` The label for hide details buttons.
`static int` | `HORIZONTAL_MARGIN` Horizontal margin in dialog units (value 7).
`static int` | `HORIZONTAL_SPACING` Horizontal spacing in dialog units (value 4).
`static int` | `IGNORE_ID` Button id for an "Ignore" button (value 9).
`static String` | `IGNORE_LABEL` The label for ignore buttons.
`static int` | `INDENT` Indent in dialog units (value 21).
`static int` | `INTERNAL_ID` Starting button id reserved for internal use by JFace (value 256).
`static int` | `LEFT_MARGIN` Left margin in dialog units (value 20).
`static int` | `MINIMUM_MESSAGE_AREA_WIDTH` Minimum width of message area in dialog units (value 300).
`static int` | `NEXT_ID` Button id for a "Next" button (value 15).
`static String` | `NEXT_LABEL` The label for next buttons.
`static int` | `NO_ID` Button id for a "No" button (value 3).
`static String` | `NO_LABEL` The label for no buttons.
`static int` | `NO_TO_ALL_ID` Button id for a "No to All" button (value 21).
`static String` | `NO_TO_ALL_LABEL` The label for not to all buttons.
`static int` | `OK_ID` Button id for an "Ok" button (value 0).
`static String` | `OK_LABEL` The label for OK buttons.
`static int` | `OPEN_ID` Button id for an "Open" button (value 11).
`static String` | `OPEN_LABEL` The label for open buttons.
`static int` | `PROCEED_ID` Button id for a "Proceed" button (value 10).
`static String` | `PROCEED_LABEL` The label for proceed buttons.
`static int` | `RETRY_ID` Button id for a "Retry" button (value 8).
`static String` | `RETRY_LABEL` The label for retry buttons.
`static int` | `SELECT_ALL_ID` Button id for a "Select All" button (value 18).
`static int` | `SELECT_TYPES_ID` Button id for a "Select types" button (value 20).
`static String` | `SHOW_DETAILS_LABEL` The label for show details buttons.
`static int` | `SKIP_ID` Button id for a "Skip" button (value 5).
`static String` | `SKIP_LABEL` The label for skip buttons.
`static int` | `SMALL_INDENT` Small indent in dialog units (value 7).
`static int` | `STOP_ID` Button id for a "Stop" button (value 6).
`static String` | `STOP_LABEL` The label for stop buttons.
`static int` | `VERTICAL_MARGIN` Vertical margin in dialog units (value 7).
`static int` | `VERTICAL_SPACING` Vertical spacing in dialog units (value 4).
`static int` | `YES_ID` Button id for a "Yes" button (value 2).
`static String` | `YES_LABEL` The label for yes buttons.
`static int` | `YES_TO_ALL_ID` Button id for a "Yes to All" button (value 4).
`static String` | `YES_TO_ALL_LABEL` The label for yes to all buttons.

Field Detail

### OK_ID

    public static final int OK_ID

  Button id for an "Ok" button (value 0).

  See Also:
    Constant Field Values

### CANCEL_ID

    public static final int CANCEL_ID

  Button id for a "Cancel" button (value 1).

  See Also:
    Constant Field Values

### YES_ID

    public static final int YES_ID

  Button id for a "Yes" button (value 2).

  See Also:
    Constant Field Values

### NO_ID

    public static final int NO_ID

  Button id for a "No" button (value 3).

  See Also:
    Constant Field Values

### YES_TO_ALL_ID

    public static final int YES_TO_ALL_ID

  Button id for a "Yes to All" button (value 4).

  See Also:
    Constant Field Values

### SKIP_ID

    public static final int SKIP_ID

  Button id for a "Skip" button (value 5).

  See Also:
    Constant Field Values

### STOP_ID

    public static final int STOP_ID

  Button id for a "Stop" button (value 6).

  See Also:
    Constant Field Values

### ABORT_ID

    public static final int ABORT_ID

  Button id for an "Abort" button (value 7).

  See Also:
    Constant Field Values

### RETRY_ID

    public static final int RETRY_ID

  Button id for a "Retry" button (value 8).

  See Also:
    Constant Field Values

### IGNORE_ID

    public static final int IGNORE_ID

  Button id for an "Ignore" button (value 9).

  See Also:
    Constant Field Values

### PROCEED_ID

    public static final int PROCEED_ID

  Button id for a "Proceed" button (value 10).

  See Also:
    Constant Field Values

### OPEN_ID

    public static final int OPEN_ID

  Button id for an "Open" button (value 11).

  See Also:
    Constant Field Values

### CLOSE_ID

    public static final int CLOSE_ID

  Button id for a "Close" button (value 12).

  See Also:
    Constant Field Values

### DETAILS_ID

    public static final int DETAILS_ID

  Button id for a "Details" button (value 13).

  See Also:
    Constant Field Values

### BACK_ID

    public static final int BACK_ID

  Button id for a "Back" button (value 14).

  See Also:
    Constant Field Values

### NEXT_ID

    public static final int NEXT_ID

  Button id for a "Next" button (value 15).

  See Also:
    Constant Field Values

### FINISH_ID

    public static final int FINISH_ID

  Button id for a "Finish" button (value 16).

  See Also:
    Constant Field Values

### HELP_ID

    public static final int HELP_ID

  Button id for a "Help" button (value 17).

  See Also:
    Constant Field Values

### SELECT_ALL_ID

    public static final int SELECT_ALL_ID

  Button id for a "Select All" button (value 18).

  See Also:
    Constant Field Values

### DESELECT_ALL_ID

    public static final int DESELECT_ALL_ID

  Button id for a "Deselect All" button (value 19).

  See Also:
    Constant Field Values

### SELECT_TYPES_ID

    public static final int SELECT_TYPES_ID

  Button id for a "Select types" button (value 20).

  See Also:
    Constant Field Values

### NO_TO_ALL_ID

    public static final int NO_TO_ALL_ID

  Button id for a "No to All" button (value 21).

  See Also:
    Constant Field Values

### INTERNAL_ID

    public static final int INTERNAL_ID

  Starting button id reserved for internal use by JFace (value 256). JFace classes make ids by adding to this number.

  See Also:
    Constant Field Values

### CLIENT_ID

    public static final int CLIENT_ID

  Starting button id reserved for use by clients of JFace (value 1024). Clients of JFace should make ids by adding to this number.

  See Also:
    Constant Field Values

### OK_LABEL

    public static final String OK_LABEL

  The label for OK buttons.

### CANCEL_LABEL

    public static final String CANCEL_LABEL

  The label for cancel buttons.

### YES_LABEL

    public static final String YES_LABEL

  The label for yes buttons.

### NO_LABEL

    public static final String NO_LABEL

  The label for no buttons.

### NO_TO_ALL_LABEL

    public static final String NO_TO_ALL_LABEL

  The label for not to all buttons.

### YES_TO_ALL_LABEL

    public static final String YES_TO_ALL_LABEL

  The label for yes to all buttons.

### SKIP_LABEL

    public static final String SKIP_LABEL

  The label for skip buttons.

### STOP_LABEL

    public static final String STOP_LABEL

  The label for stop buttons.

### ABORT_LABEL

    public static final String ABORT_LABEL

  The label for abort buttons.

### RETRY_LABEL

    public static final String RETRY_LABEL

  The label for retry buttons.

### IGNORE_LABEL

    public static final String IGNORE_LABEL

  The label for ignore buttons.

### PROCEED_LABEL

    public static final String PROCEED_LABEL

  The label for proceed buttons.

### OPEN_LABEL

    public static final String OPEN_LABEL

  The label for open buttons.

### CLOSE_LABEL

    public static final String CLOSE_LABEL

  The label for close buttons.

### SHOW_DETAILS_LABEL

    public static final String SHOW_DETAILS_LABEL

  The label for show details buttons.

### HIDE_DETAILS_LABEL

    public static final String HIDE_DETAILS_LABEL

  The label for hide details buttons.

### BACK_LABEL

    public static final String BACK_LABEL

  The label for back buttons.

### NEXT_LABEL

    public static final String NEXT_LABEL

  The label for next buttons.

### FINISH_LABEL

    public static final String FINISH_LABEL

  The label for finish buttons.

### HELP_LABEL

    public static final String HELP_LABEL

  The label for help buttons.

### VERTICAL_MARGIN

    public static final int VERTICAL_MARGIN

  Vertical margin in dialog units (value 7).

  See Also:
    Constant Field Values

### VERTICAL_SPACING

    public static final int VERTICAL_SPACING

  Vertical spacing in dialog units (value 4).

  See Also:
    Constant Field Values

### HORIZONTAL_MARGIN

    public static final int HORIZONTAL_MARGIN

  Horizontal margin in dialog units (value 7).

  See Also:
    Constant Field Values

### HORIZONTAL_SPACING

    public static final int HORIZONTAL_SPACING

  Horizontal spacing in dialog units (value 4).

  See Also:
    Constant Field Values

### BUTTON_BAR_HEIGHT

    public static final int BUTTON_BAR_HEIGHT

  Height of button bar in dialog units (value 25).

  See Also:
    Constant Field Values

### LEFT_MARGIN

    public static final int LEFT_MARGIN

  Left margin in dialog units (value 20).

  See Also:
    Constant Field Values

### BUTTON_MARGIN

    public static final int BUTTON_MARGIN

  Button margin in dialog units (value 4).

  See Also:
    Constant Field Values

### BUTTON_HEIGHT

    public static final int BUTTON_HEIGHT

  Button height in dialog units (value 14).

  See Also:
    Constant Field Values

### BUTTON_WIDTH

    public static final int BUTTON_WIDTH

  Button width in dialog units (value 61).

  See Also:
    Constant Field Values

### INDENT

    public static final int INDENT

  Indent in dialog units (value 21).

  See Also:
    Constant Field Values

### SMALL_INDENT

    public static final int SMALL_INDENT

  Small indent in dialog units (value 7).

  See Also:
    Constant Field Values

### ENTRY_FIELD_WIDTH

    public static final int ENTRY_FIELD_WIDTH

  Entry field width in dialog units (value 200).

  See Also:
    Constant Field Values

### MINIMUM_MESSAGE_AREA_WIDTH

    public static final int MINIMUM_MESSAGE_AREA_WIDTH

  Minimum width of message area in dialog units (value 300).

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.